> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List hub directory filter metadata



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/hubs/{hub_id}/directory-filters
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/hubs/{hub_id}/directory-filters:
    get:
      tags:
        - community-directory
      summary: List hub directory filter metadata
      operationId: >-
        community_directory.get_community_directory_get_hubs_by_hub_id_directory_filters
      parameters:
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/DirectoryFiltersResponse'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    DirectoryFiltersResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/HubConfigResource'
          title: Data
          type: array
        included:
          items:
            anyOf:
              - $ref: '#/components/schemas/DefinitionResource'
              - $ref: '#/components/schemas/OptionResource'
          title: Included
          type: array
        meta:
          additionalProperties: true
          title: Meta
          type: object
      required:
        - data
        - included
        - meta
      title: DirectoryFiltersResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HubConfigResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/HubConfigAttributes'
        id:
          title: Id
          type: string
        type:
          const: contact_attribute_hub_configs
          default: contact_attribute_hub_configs
          title: Type
          type: string
      required:
        - id
        - attributes
      title: HubConfigResource
      type: object
    DefinitionResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/DefinitionAttributes'
        id:
          title: Id
          type: string
        type:
          const: contact_attribute_definitions
          default: contact_attribute_definitions
          title: Type
          type: string
      required:
        - id
        - attributes
      title: DefinitionResource
      type: object
    OptionResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/OptionAttributes'
        id:
          title: Id
          type: string
        type:
          const: contact_attribute_options
          default: contact_attribute_options
          title: Type
          type: string
      required:
        - id
        - attributes
      title: OptionResource
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    HubConfigAttributes:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        definition_id:
          title: Definition Id
          type: string
        hub_id:
          title: Hub Id
          type: string
        is_in_onboarding:
          title: Is In Onboarding
          type: boolean
        is_in_profile:
          title: Is In Profile
          type: boolean
        is_read_only:
          title: Is Read Only
          type: boolean
        is_required:
          title: Is Required
          type: boolean
        is_searchable:
          title: Is Searchable
          type: boolean
        position:
          title: Position
          type: integer
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - hub_id
        - definition_id
        - is_in_profile
        - is_in_onboarding
        - is_required
        - is_read_only
        - is_searchable
        - position
        - created_at
        - updated_at
      title: HubConfigAttributes
      type: object
    DefinitionAttributes:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        is_contact_editable:
          title: Is Contact Editable
          type: boolean
        name:
          title: Name
          type: string
        position:
          title: Position
          type: integer
        slug:
          title: Slug
          type: string
        team_id:
          title: Team Id
          type: string
        type:
          enum:
            - text
            - number
            - boolean
            - date
            - multiple
            - single
          title: Type
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - team_id
        - slug
        - name
        - type
        - description
        - is_contact_editable
        - position
        - created_at
        - updated_at
      title: DefinitionAttributes
      type: object
    OptionAttributes:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        definition_id:
          title: Definition Id
          type: string
        label:
          title: Label
          type: string
        position:
          title: Position
          type: integer
        slug:
          title: Slug
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - definition_id
        - slug
        - label
        - position
        - created_at
        - updated_at
      title: OptionAttributes
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````